> ## Documentation Index
> Fetch the complete documentation index at: https://docs.juju.bi/llms.txt
> Use this file to discover all available pages before exploring further.

# Webhooks

> Track which REST API endpoints are currently supported by Jujubi.

export const SUPPORT_STATUS_CONFIG = {
  supported: {
    color: 'green',
    label: 'Supported'
  },
  partial: {
    color: 'blue',
    label: 'Partial'
  },
  unsupported: {
    color: 'yellow',
    label: 'Planned'
  },
  never: {
    color: 'red',
    label: 'Never'
  }
};

export const SupportStatus = ({status, count}) => {
  const config = SUPPORT_STATUS_CONFIG[status] ?? SUPPORT_STATUS_CONFIG.unsupported;
  const text = count == null ? config.label : `${config.label}: ${count}`;
  return <Badge color={config.color} size="sm">
      {text}
    </Badge>;
};

## Unsupported

* [`GET /app/hook/config`](https://docs.github.com/enterprise-cloud@latest/rest/apps/webhooks#get-a-webhook-configuration-for-an-app) - Get a webhook configuration for an app
* [`PATCH /app/hook/config`](https://docs.github.com/enterprise-cloud@latest/rest/apps/webhooks#update-a-webhook-configuration-for-an-app) - Update a webhook configuration for an app
* [`GET /app/hook/deliveries`](https://docs.github.com/enterprise-cloud@latest/rest/apps/webhooks#list-deliveries-for-an-app-webhook) - List deliveries for an app webhook
* [`GET /app/hook/deliveries/{delivery_id}`](https://docs.github.com/enterprise-cloud@latest/rest/apps/webhooks#get-a-delivery-for-an-app-webhook) - Get a delivery for an app webhook
* [`POST /app/hook/deliveries/{delivery_id}/attempts`](https://docs.github.com/enterprise-cloud@latest/rest/apps/webhooks#redeliver-a-delivery-for-an-app-webhook) - Redeliver a delivery for an app webhook
